
Core - Bug # 38498

Task # 38086 (Closed): Enhance TYPO3 bootstrap mechanism

Status: Resolved Priority: Should have
Author: Susanne Moog Category:
Created: 2012-06-30 Assigned To: Christian Kuhn
Updated: 2012-07-01 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Autoloader performance improvement
Description

kcachegrind shows that 25% of all time rendering a fully cached page is lost in "loadCoreAndRegistry" --> strtolower is called 1090
times (intro package).

Associated revisions
Revision ae079061 - 2012-07-01 15:20 - Christian Kuhn

[TASK] Autoloader performance improvement

If the autoload registry is read from cache, all class names are
already lowercased. The patch calls the lowercase logic only if
the registry files are not read from cache. The unit tests show
that nothing breaks with this patch.

Cachegrind shows ~22% of rendering time is spend in
loadCoreAndExtensionRegistry() on a fully cached page,
this is reduced to ~2% with the patch.

Change-Id: I07dc95b29bf05970061b5fb2f9a5d8a5ba194960
Resolves: #38498
Releases: 6.0
Reviewed-on: http://review.typo3.org/12494
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog

Revision ccbd26bf - 2012-07-13 19:56 - Christian Kuhn

[TASK] Autoloader performance improvement

If the autoload registry is read from cache, all class names are
already lowercased. The patch calls the lowercase logic only if
the registry files are not read from cache. The unit tests show
that nothing breaks with this patch.
Cachegrind shows ~22% of rendering time is spend in
loadCoreAndExtensionRegistry() on a fully cached page,
this is reduced to ~2% with the patch.

Change-Id: I07dc95b29bf05970061b5fb2f9a5d8a5ba194960
Resolves: #38498
Releases: 6.0
Reviewed-on: http://review.typo3.org/12494
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog

History
#1 - 2012-07-01 12:59 - Christian Kuhn
- Subject changed from Performance Improvement for Bootstrap to Autoloader performance improvement

#2 - 2012-07-01 13:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12494

#3 - 2012-07-01 16:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ae0790613ee5f43a9da3cb7438eead22b332e531.
